Subject: bug#45917: closed (Re: bug#45917: [PATCH] Use big brackets in Calc in big mode)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 19 Jan 2021 18:00:05 +0000

Your bug report

#45917: [PATCH] Use big brackets in Calc in big mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45917: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45917
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45917: [PATCH] Use big brackets in Calc in big mode
From: Mattias Engdegård <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Tue, 19 Jan 2021 18:59:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

19 jan. 2021 kl. 16.45 skrev Lars Ingebrigtsen <[email-masked]>:

>> Maybe, but Calc already has rather too many variables and should we
>> have separate variables for all non-ASCII features then, like the
>> square root sign?
> 
> Possibly?  But I see you've just pushed a fix for parsing the root
> sign.  :-)

Yes, it turned out to be easy! Parsing big brackets is probably not quite as easy; I'm not even going to try.

>> We are just speculating here. I'd hoped for concrete cheerful evidence
>> like 'looks terrible on my terminal', 'completely destroys
>> embedded-mode for me'...
> 
> I'm guessing you won't get feedback like that until you push this
> change.  :-)

Right, now done. Let's see if anything turns up.

Subject: [PATCH] Use big brackets in Calc in big mode
From: Mattias Engdegård <[email-masked]>
To: [email-masked]
Date: Sat, 16 Jan 2021 18:10:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The attached patch makes Calc use big brackets in Big mode when the Unicode characters are available. This makes for prettier display which is sort of the point of using Big mode. It follows previous use of Unicode characters for square root and integral signs.

The code supports big versions of round, square and curly brackets. Big square brackets are currently only used for intervals and curly ones not at all (maybe they could be put to use for Stirling numbers of the second kind).

Matrices do not use big brackets but they probably should since it is standard mathematical notation.

As far as I can tell the only reasons for not applying this would be that it is common with fonts or terminals where this doesn't look good, or that the resulting formula isn't recognised by the embedded-mode parser (which is already the case with several other constructs).